%define name jpilot-Mail
%define version 0.0.3
%define release 1mdk

Name: %{name}
Version: %{version}
Release: %{release}
Summary: Mail plugin for jpilot
Source: %{name}-%{version}.tar.bz2
URL: http://www.innominate.org/~oku/jpilot-Mail/
Group: Communications
BuildRoot: %{_tmppath}/%{name}-buildroot
Copyright: GPL
Packager: Stefan van der Eijk
Prefix: %{_prefix}
Requires: jpilot

%description
jpilot-Mail is a plugin for jpilot which enables you to deliver mail that was
written on your pilot and upload mail that you received to your pilot.

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build
CXXFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" %configure \
--prefix=%{prefix}
uname -a|grep SMP && make -j 2 || make
strip ./src/.libs/libmail.so

%install
mkdir -p $RPM_BUILD_ROOT/%{prefix}/lib/jpilot/plugins
install src/.libs/libmail.a $RPM_BUILD_ROOT/%{prefix}/lib/jpilot/plugins/
install src/.libs/libmail.la $RPM_BUILD_ROOT/%{prefix}/lib/jpilot/plugins/
install src/.libs/libmail.so.0.0.0 $RPM_BUILD_ROOT/%{prefix}/lib/jpilot/plugins/
cd $RPM_BUILD_ROOT/%{prefix}/lib/jpilot/plugins/
ln -s libmail.so.0.0.0 libmail.so.0
ln -s libmail.so.0.0.0 libmail.so

%clean
rm -Rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
/usr/lib/jpilot/plugins/libmail.*
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO

%changelog
* Tue Jun 13 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 0.0.3-1mdk
- initial RPM
